[Release] Ultimate SNES VC Injector for 3DS

Discussion in '3DS - ROM Hacking, Translations and Utilities' started by Asdolo, Dec 20, 2016.

  1. Wrongnut

    Wrongnut Member

    Newcomer
    15
    2
    Aug 17, 2017
    United States
    Is there a way to fix this error?

    _0d59b643286e321299e4822efe3e9e17-png.jpg
     
    CatmanFan likes this.
  2. Redferne

    Redferne GBAtemp Advanced Fan

    Member
    777
    260
    Oct 28, 2015
    That's not an error...
     
  3. Wrongnut

    Wrongnut Member

    Newcomer
    15
    2
    Aug 17, 2017
    United States
    Alright, is there still a way to fix it?
     
  4. Columbo2811

    Columbo2811 GBAtemp Maniac

    Member
    1,378
    829
    Jul 19, 2015
    No there's nothing to fix. This is using nintendos emulator from there vc and it doesn't support all chips.
     
  5. squall14716

    squall14716 GBAtemp Maniac

    Member
    1,244
    728
    May 16, 2011
    United States
  6. Redferne

    Redferne GBAtemp Advanced Fan

    Member
    777
    260
    Oct 28, 2015
    There is nothing to fix, it's not broken. It's literally telling you the ROM use an unsupported chip. It cannot be injected.
     
    CatmanFan likes this.
  7. vsk310

    vsk310 Newbie

    Newcomer
    6
    3
    May 25, 2017
    Hi Asdolo san,

    Thank you very much for the great app.
    Other VC injector, GBA, NES is working very well and would like to really thank you for this.
    For the SNES injector, unfortunately it seems I have no luck and could not make it happen.
    When choosing the ROM, it comes back saying "Game not found in database. However the Rom seems to be supported"
    I have created around 10 of it with this message and none of the CIA works.
    Would you kindly let me know if this message comes out, does this mean that it is suppose to work?
     
    CatmanFan likes this.
  8. bahamut920

    bahamut920 GBAtemp Fan

    Member
    448
    108
    Jan 23, 2009
    United States
    It should work, as long as the settings are configured properly. The injector does that automatically if possible, but when you get that error message, it means you have to look up and enter the game's information manually.

    Are any of the ROMs you're trying to inject patched? I saw that error most frequently with patched ROMs, and what I did was grab a clean version, run the injector on that up until the actual ROM creation, and copy/paste the data into the injection for the patched version. I think some games like Robotrek and Terranigma gave me that error even clean, and I wasn't personally able to figure out how to get them working.
     
  9. vsk310

    vsk310 Newbie

    Newcomer
    6
    3
    May 25, 2017

    Hi Bahamut920 san,

    Thank you very much for your support.
    Thank you for the advise, I have tried the ROM Wizardry V (USA)(JPN) and USA seems to have the message database not found but it will pull the soft name and the maker. However the JPN one will not pull the name and have to input all the info and I am not sure if this is the something that is causing the issue.
    Anyway I would like too thank for the advise, I will try it again tonight.
     
  10. vsk310

    vsk310 Newbie

    Newcomer
    6
    3
    May 25, 2017
    Hi Bahamut920 san,

    Thank you very much for your support and advise.
    I have tried it and all of the soft could transfer in to cia file.
    Wen I run it, it will crash and and get stuck so need to be rebooted it.
    I am sure I am doing something wrong.

    Anyway I just wanted to say thank you.
     
    CatmanFan likes this.
  11. Shroomalistic

    Shroomalistic Member

    Newcomer
    37
    7
    Sep 2, 2015
    United States
    Thank you so much for this program. I made my first inject today out of BS Zelda third quest and its awesome. I just couldn't get the image on the cart so I used the oldsnes program to make the banner then used the custom banner on the injector. I got all OCD on it and had to make it perfect. I wish I could release i here for you guys to try out. Is there anyway with your utility to put an image on the cart in the banner?
     
    CatmanFan likes this.
  12. Elysium420

    Elysium420 Shitposting bastard

    Member
    559
    488
    Feb 10, 2016
    Greece
    Shitville
    Hey, your projects are really a piece of great work. Do you have plans on adding a Restore Point feature for the roms made with this injector?
     
    CatmanFan likes this.
  13. Memfis

    Memfis GBAtemp Regular

    Member
    103
    10
    Jul 18, 2010
    Gambia, The
    Hey, first thanks for this great tool. With the help of acls86 I get Illusion of Time (German Version) to work - a little bit. I dont get the message ""This game pak is not designed for your super famicom or super nes" anymore, but the first problem is, that I randomly get a black screen after I change the scene (mostly at the start of the game at school) and the secound problem is, that I have no sound. The third problem is, that I have black bars in the selection screen. Can anyone please help me?
     
    Last edited by Memfis, Oct 2, 2017
    CatmanFan likes this.
  14. Memfis

    Memfis GBAtemp Regular

    Member
    103
    10
    Jul 18, 2010
    Gambia, The
    I tested the US Version (called Illusion of Gaia). Rom was found in the tool, but it have the same problems as the german version.
    @Asdolo: If you read this, can you please take a look and fix it? Illusion of time and Terranigma are my favorite games.
     
  15. Blaze Uchiha

    Blaze Uchiha GBAtemp Fan

    Member
    333
    76
    Feb 6, 2016
    United States
    is this a dead project now?
     
  16. THYPLEX

    THYPLEX GBAtemp Fan

    Member
    425
    68
    May 20, 2017
    Italy
    Rome
    It supports super Mario RPG ?
     
  17. CatmanFan

    CatmanFan Merry Christmas New Year.

    Member
    1,336
    461
    Aug 14, 2016
    Morocco
    No. The VC emulator is not designed for SA-1 or Super FX games.
     
  18. Blaze Uchiha

    Blaze Uchiha GBAtemp Fan

    Member
    333
    76
    Feb 6, 2016
    United States
    I can't even inject the English Patched Magical Pop'n. It keeps saying that the rom is neither Lo-Rom or Hi-Rom or it might be trimmed. It also does support all the formats that it says it does only .sfc
     
    CatmanFan likes this.
  19. raphamotta

    raphamotta GBAtemp Fan

    Member
    461
    188
    Jul 12, 2013
    Please guys use snes9x, it's better
     
  20. CatmanFan

    CatmanFan Merry Christmas New Year.

    Member
    1,336
    461
    Aug 14, 2016
    Morocco
    Try the NSUI beta, it does have Snes9x. @Asdolo gave me a link to it through a PM.
     
    Blaze Uchiha likes this.